Package com.sas.services.information.metadata

# Interface ContentSubscriberInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`, `SubscriberInterface`

public interface ContentSubscriberInterface extends SubscriberInterface
Package subscriber interface.

Since:
  1.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_EMAIL_FORMAT`
  The default Email format.
  `static final String`
  `DEFAULT_WEBDAV_URL_TYPE`
  The default WebDAV URL type code.
  `static final String`
  `EMAIL_FORMAT_HTML`
  Email format code: HTML
  `static final String`
  `EMAIL_FORMAT_TEXT`
  Email format code: text
  `static final String`
  `EMAIL_TYPE`
  A value used to indicate that the Email address is being used for a publishing framework subscriber.
  `static final String`
  `WEBDAV_URL_TYPE_COLLECTION`
  WebDAV URL type code: collection
  `static final String`
  `WEBDAV_URL_TYPE_PARENT`
  WebDAV URL type code: parent

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

  ### Fields inherited from interface com.sas.services.information.metadata.SubscriberInterface

  `SUBSCRIBER_CONTENT, SUBSCRIBER_EVENT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEntryExclusionFilter(String filter)`
  Add an entry exclusion filter to this subscriber.
  `void`
  `addEntryInclusionFilter(String filter)`
  Add an entry inclusion filter to this subscriber.
  `void`
  `addFileMimeTypeExclusionFilter(String filter)`
  Add a file type exclusion filter.
  `void`
  `addFileMimeTypeInclusionFilter(String filter)`
  Add a file type inclusion filter.
  `void`
  `addNameValueExclusionFilter(String filter)`
  Adds a name/value exclusion filter to the subscriber.
  `void`
  `addNameValueInclusionFilter(String filter)`
  Adds a name/value inclusion filter to the subscriber.
  `List`
  `entryExclusionFilters()`
  Gets the entry exclusion filters defined for filtering content to this subscriber.
  `List`
  `entryInclusionFilters()`
  Gets the entry inclusion filters defined for filtering content to this subscriber.
  `List`
  `fileMimeTypeExclusionFilters()`
  Gets the file MIME type exclusion filters for this user.
  `List`
  `fileMimeTypeInclusionFilters()`
  Gets the file MIME type inclusion filters for this user.
  `String`
  `getArchiveReceiveBy()`
  Gets the receive method this subscriber prefers (value or reference).
  `String`
  `getDavUrlType()`
  Sets the type of url.
  `String`
  `getEmailFormat()`
  Gets the email format for this subcriber.
  `String`
  `getMail()`
  Gets the mail address to send to for this subscriber.
  `List`
  `nameValueExclusionFilters()`
  Gets the name/value exclusion filters defined for filtering data received by this subscriber identity.
  `List`
  `nameValueInclusionFilters()`
  Gets the name/value inclusion filters defined for filtering data received by this subscriber identity.
  `void`
  `removeEntryExclusionFilter(String filter)`
  Remove an entry exclusion filter from this subscriber.
  `void`
  `removeEntryInclusionFilter(String filter)`
  Remove an entry inclusion filter from the subscriber.
  `void`
  `removeFileMimeTypeExclusionFilter(String filter)`
  Remove a file type exclusion filter.
  `void`
  `removeFileMimeTypeInclusionFilter(String filter)`
  Remove a file type inclusion filter.
  `void`
  `removeFilters()`
  Remove all filters for this subscriber.
  `void`
  `removeNameValueExclusionFilter(String filter)`
  Remove a name/value exclusion filter from the subscriber.
  `void`
  `removeNameValueInclusionFilter(String filter)`
  Remove a name/value inclusion filter from the subscriber.
  `void`
  `setArchiveReceiveBy(String receiveBy)`
  Sets the preferred mechanism for receiving published archives (value or reference).
  `void`
  `setDavUrlType(String type)`
  Sets the type of url.
  `void`
  `setEmailFormat(String emailFormat)`
  Sets the preferred email format for this subscriber.
  `void`
  `setMail(String mail)`
  Sets the mail address to send to for this user.

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

  ### Methods inherited from interface com.sas.services.information.metadata.SubscriberInterface

  `getContentDestination, getDeliveryTransport, getMessageQueue, getMessageQueue, getPerson, getQueueName, getSubscribedChannels, setContentDestination, setDeliveryTransport, setMessageQueue, setPerson, setQueueName, validate`

- ## Field Details

  - ### EMAIL_FORMAT_HTML

    static final String EMAIL_FORMAT_HTML
    Email format code: HTML
    See Also:
      - Constant Field Values

  - ### EMAIL_FORMAT_TEXT

    static final String EMAIL_FORMAT_TEXT
    Email format code: text
    See Also:
      - Constant Field Values

  - ### DEFAULT_EMAIL_FORMAT

    static final String DEFAULT_EMAIL_FORMAT
    The default Email format.
    See Also:
      - Constant Field Values

  - ### EMAIL_TYPE

    static final String EMAIL_TYPE
    A value used to indicate that the Email address is being used for a publishing framework subscriber.
    See Also:
      - Constant Field Values

  - ### WEBDAV_URL_TYPE_COLLECTION

    static final String WEBDAV_URL_TYPE_COLLECTION
    WebDAV URL type code: collection
    See Also:
      - Constant Field Values

  - ### WEBDAV_URL_TYPE_PARENT

    static final String WEBDAV_URL_TYPE_PARENT
    WebDAV URL type code: parent
    See Also:
      - Constant Field Values

  - ### DEFAULT_WEBDAV_URL_TYPE

    static final String DEFAULT_WEBDAV_URL_TYPE
    The default WebDAV URL type code.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getMail

    String getMail() throws ServiceException, RemoteException
    Gets the mail address to send to for this subscriber.
    Returns:
      The mail address, or null if there isn't one.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### setMail

    void setMail(String mail) throws ServiceException, RemoteException
    Sets the mail address to send to for this user.
    Parameters:
      `mail` - The mail address
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### getEmailFormat

    String getEmailFormat() throws ServiceException, RemoteException
    Gets the email format for this subcriber. The format will be one of the following:
    - `EMAIL_FORMAT_HTML`
    - `EMAIL_FORMAT_TEXT`
    Returns:
      The preferred format for published email for this subscriber. This value will be one of `EMAIL_FORMAT_HTML` or `EMAIL_FORMAT_TEXT`
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### setEmailFormat

    void setEmailFormat(String emailFormat) throws ServiceException, RemoteException
    Sets the preferred email format for this subscriber. The format must be one of the following:
    - `EMAIL_FORMAT_HTML`
    - `EMAIL_FORMAT_TEXT`
    Parameters:
      `emailFormat` - The preferred email format. This value must be one of `EMAIL_FORMAT_HTML` or `EMAIL_FORMAT_TEXT`
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### getArchiveReceiveBy

    String getArchiveReceiveBy() throws ServiceException, RemoteException
    Gets the receive method this subscriber prefers (value or reference).
    Returns:
      The preferred receive mechanism for this subscriber.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### setArchiveReceiveBy

    void setArchiveReceiveBy(String receiveBy) throws ServiceException, RemoteException
    Sets the preferred mechanism for receiving published archives (value or reference).
    Parameters:
      `receiveBy` - method for receiving archive data.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### nameValueInclusionFilters

    List nameValueInclusionFilters() throws ServiceException, RemoteException
    Gets the name/value inclusion filters defined for filtering data received by this subscriber identity.
    Returns:
      The name/value inclusion filter iterator.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - in the event of remote object failure.

  - ### addNameValueInclusionFilter

    void addNameValueInclusionFilter(String filter) throws ServiceException, RemoteException
    Adds a name/value inclusion filter to the subscriber.
    Parameters:
      `filter` - The new package inclusion filter.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### removeNameValueInclusionFilter

    void removeNameValueInclusionFilter(String filter) throws ServiceException, RemoteException
    Remove a name/value inclusion filter from the subscriber.
    Parameters:
      `filter` - The package inclusion filter to remove.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### nameValueExclusionFilters

    List nameValueExclusionFilters() throws ServiceException, RemoteException
    Gets the name/value exclusion filters defined for filtering data received by this subscriber identity.
    Returns:
      The name/value exclusion filter List.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### addNameValueExclusionFilter

    void addNameValueExclusionFilter(String filter) throws ServiceException, RemoteException
    Adds a name/value exclusion filter to the subscriber.
    Parameters:
      `filter` - The new package exclusion filter.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### removeNameValueExclusionFilter

    void removeNameValueExclusionFilter(String filter) throws ServiceException, RemoteException
    Remove a name/value exclusion filter from the subscriber.
    Parameters:
      `filter` - The package exclusion filter to remove.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### entryExclusionFilters

    List entryExclusionFilters() throws ServiceException, RemoteException
    Gets the entry exclusion filters defined for filtering content to this subscriber.
    Returns:
      the entry exclusion filters for this user.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### addEntryExclusionFilter

    void addEntryExclusionFilter(String filter) throws ServiceException, RemoteException
    Add an entry exclusion filter to this subscriber.
    Parameters:
      `filter` - The new entry exclusion filter.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### removeEntryExclusionFilter

    void removeEntryExclusionFilter(String filter) throws ServiceException, RemoteException
    Remove an entry exclusion filter from this subscriber.
    Parameters:
      `filter` - The entry exclusion filter to remove.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### entryInclusionFilters

    List entryInclusionFilters() throws ServiceException, RemoteException
    Gets the entry inclusion filters defined for filtering content to this subscriber.
    Returns:
      the entry inclusion filters for this user.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### addEntryInclusionFilter

    void addEntryInclusionFilter(String filter) throws ServiceException, RemoteException
    Add an entry inclusion filter to this subscriber.
    Parameters:
      `filter` - The entry inclusion filter to add.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### removeEntryInclusionFilter

    void removeEntryInclusionFilter(String filter) throws ServiceException, RemoteException
    Remove an entry inclusion filter from the subscriber.
    Parameters:
      `filter` - The entry inclusion filter to remove.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### fileMimeTypeExclusionFilters

    List fileMimeTypeExclusionFilters() throws ServiceException, RemoteException
    Gets the file MIME type exclusion filters for this user.
    Returns:
      The file MIME type exclusion filters.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### addFileMimeTypeExclusionFilter

    void addFileMimeTypeExclusionFilter(String filter) throws ServiceException, RemoteException
    Add a file type exclusion filter.
    Parameters:
      `filter` - The new file type exclusion filter.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### removeFileMimeTypeExclusionFilter

    void removeFileMimeTypeExclusionFilter(String filter) throws ServiceException, RemoteException
    Remove a file type exclusion filter.
    Parameters:
      `filter` - The file type exclusion filter to remove.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### fileMimeTypeInclusionFilters

    List fileMimeTypeInclusionFilters() throws ServiceException, RemoteException
    Gets the file MIME type inclusion filters for this user.
    Returns:
      The file MIME type inclusion filters.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### addFileMimeTypeInclusionFilter

    void addFileMimeTypeInclusionFilter(String filter) throws ServiceException, RemoteException
    Add a file type inclusion filter.
    Parameters:
      `filter` - The file type inclusion filter to add.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### removeFileMimeTypeInclusionFilter

    void removeFileMimeTypeInclusionFilter(String filter) throws ServiceException, RemoteException
    Remove a file type inclusion filter.
    Parameters:
      `filter` - The file type inclusion filter to remove.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### getDavUrlType

    String getDavUrlType() throws ServiceException, RemoteException
    Sets the type of url. For webDAV servers, the url can either be a parent or collection url.
    Returns:
      The type of url, parent or collection.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### setDavUrlType

    void setDavUrlType(String type) throws ServiceException, RemoteException
    Sets the type of url. For webDAV servers, the url can either be a parent or collection url.
    Parameters:
      `type` - The type of url, parent or collection.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - if a network anomaly is encountered.

  - ### removeFilters

    void removeFilters() throws ServiceException, RemoteException
    Remove all filters for this subscriber. This will remove all inclusion and exclusion filters for name/value pairs, MIME types and entry types.
    Throws:
      `ServiceException` - if an exception was encountered removing the filters.
      `RemoteException` - if a networking issue is encountered.